<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <table class="rf-dt">
        <thead class="rf-dt-thd">
        <tr class="rf-dt-shdr">
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Name']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Type']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Card']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Content']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Action']}</b>
            </th>
        </tr>
        </thead>
        <tbody class="rf-dt-b">
        <tr class="rf-dt-r rf-dt-fst-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Uuid']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="1..1"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText id="uuid_content" value="#{selectedRO.uuid}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#uuid_modalpanel_editor').modal('show');"
                                     render="uuidForm, uuid_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setUuid(null)}" render="uuid_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Name_2']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="1..1"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText id="name_content" value="#{selectedRO.name}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#name_modalpanel_editor').modal('show');"
                                     render="nmp_form, name_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setName(null)}" render="name_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.DisplayName']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="1..1"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText id="displayAttributeName_content" value="#{selectedRO.displayAttributeName}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#displayAttributeName_modalpanel_editor').modal('show');"
                                     render="dise_form, displayAttributeName_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setDisplayAttributeName(null)}" render="displayAttributeName_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Value_2']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="1..1"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText id="value_content" value="#{selectedRO.value}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#value_modalpanel_editor').modal('show');"
                                     render="vp_form, value_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setValue(null)}" render="value_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Usages']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Usage']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="0..*"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block;" id="usages_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.usages}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText value="#{varr.affinity.keyword} =&gt; #{varr.transaction.keyword}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink action="#{selectedRO.getUsages().remove(varr)}" render="usages_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#usages_add').modal('show');" render="add_form, usages_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Classification']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ClassificationMetaData']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value=""/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block;" id="classification_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.classificationDescriber}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText
                                            value="#{varr.getCmd().displayAttributeName.concat(' [').concat(varr.getCardinality().toString()).concat(']')}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink actionListener="#{ROManager.editClassificationDescriber(varr)}"
                                                         oncomplete="jq162('#classification_edit').modal('show');"
                                                         render="ce_form, classification_edit">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <gdk:spacer height="5px"/>
                                        <a4j:commandLink action="#{selectedRO.getClassificationDescriber().remove(varr)}"
                                                         render="classification_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#classification_add').modal('show');" render="cadd_form, classification_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Slot']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.SlotMetadata']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value=""/>
            </td>
            <td class="rf-dt-c">

                <h:panelGroup style="display:block;" id="slot_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.slotDescriber}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText
                                            value="#{varr.getSlotMetadata().name.concat(' [').concat(varr.getCardinality().toString()).concat(']')}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink actionListener="#{ROManager.initSelectedSlotDescriber(varr)}"
                                                         oncomplete="jq162('#slot_edit').modal('show');" render="se_form, slot_edit">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <gdk:spacer height="5px"/>
                                        <a4j:commandLink action="#{selectedRO.getSlotDescriber().remove(varr)}" render="slot_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink actionListener="#{ROManager.initSelectedSlot()}" oncomplete="jq162('#slot_add').modal('show');"
                                     render="slad_form, slot_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.ExternalIdentifier']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ExternalIdentifierMetadata_2']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value=""/>
            </td>
            <td class="rf-dt-c">

                <h:panelGroup style="display:block;" id="ext_identifier_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.ext_identifierDescriber}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText
                                            value="#{varr.getEim().displayAttributeName.concat(' [').concat(varr.getCardinality().toString()).concat(']')}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink actionListener="#{ROManager.setSelectedExternalIdentifierMetadataDescriber(varr)}"
                                                         oncomplete="jq162('#external_identifier_edit').modal('show');"
                                                         render="eie_form, external_identifier_edit">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <gdk:spacer height="5px"/>
                                        <a4j:commandLink action="#{selectedRO.getExt_identifierDescriber().remove(varr)}"
                                                         render="ext_identifier_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#ext_add').modal('show');" render="extadd_form, ext_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        </tbody>
    </table>
</ui:composition>
